_flow_graph_streaming_node.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | internal::port_ref_impl< N1, N2 >
struct | internal::num_arguments< T >
struct | internal::num_arguments< port_ref_impl< N1, N2 >(*)()>
struct | internal::num_arguments< port_ref_impl< N1, N2 > >
struct | internal::key_from_policy< JP >
struct | internal::key_from_policy< key_matching< Key > >
struct | internal::key_from_policy< key_matching< Key & > >
class | internal::streaming_device_with_key< Device, Key >
struct | internal::is_port_ref_impl< T >
struct | internal::is_port_ref_impl< port_ref_impl< N1, N2 > >
struct | internal::is_port_ref_impl< port_ref_impl< N1, N2 >(*)() >
struct | internal::is_port_ref< T >
struct | internal::convert_and_call_impl< A1, Args1... >
struct | internal::convert_and_call_impl<>
struct | internal::streaming_node_traits< JP, StreamFactory, Ports >
struct | internal::streaming_node_traits< JP, StreamFactory, Ports >::async_msg_type< T >
class | internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename >
class | internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >
struct | internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_wrapper
struct | internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_value
struct | internal::kernel_executor_helper< StreamFactory, KernelInputTuple, typename tbb::internal::void_t< typename StreamFactory::range_type >::type >::range_mapper< N >
class | streaming_node< tuple< Ports... >, JP, StreamFactory >
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_base
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >
struct | streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector< UserFunctor >::epoch_desc
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::device_selector_body
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage_base
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func
struct | streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_kernel_func::kernel_func
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >
struct | streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::run_finalize_func< FinalizeFn >::finalize_func
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::args_storage< Args >::send_func
class | streaming_node< tuple< Ports... >, JP, StreamFactory >::kernel_body
struct | streaming_node< tuple< Ports... >, JP, StreamFactory >::wrap_to_async< T, U >
struct | streaming_node< tuple< Ports... >, JP, StreamFactory >::wrap_to_async< T, std::false_type >

## Namespaces

| internal

## Functions

template<int N1, int N2 = N1>
__TBB_DEPRECATED internal::port_ref_impl< N1, N2 > | port_ref ()
template<typename... Args>
void | internal::ignore_return_values (Args &&...)
template<typename T >
T | internal::or_return_values (T &&t)
template<typename T , typename... Rest>
T | internal::or_return_values (T &&t, Rest &&... rest)

## Variables

template<typename... Args>
class __TBB_DEPRECATED | streaming_node

## Function Documentation

## port_ref()

template<int N1, int N2 = N1>

__TBB_DEPRECATED internal::port_ref_impl<N1,N2> port_ref | ( |  | ) |

Definition at line 41 of file _flow_graph_streaming_node.h.

{
return internal::port_ref_impl<N1,N2>();
};
internal::port_ref_impl
Definition: _flow_graph_streaming_node.h:31

## Variable Documentation

## streaming_node

template<typename... Args>

class __TBB_DEPRECATED streaming_node

Definition at line 41 of file _flow_graph_streaming_node.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.